# -*- encoding : utf-8 -*-

class Admin::PSpecTypesController < ApplicationController
  layout "admin"
  before_action :auth_admin

  before_action :admin_space
  
  def admin_space
    @admin_space = "default"
  end
  
  def index
    @p_spec_types = PSpecType.all

    @p_spec_types = sort_by_sorting(@p_spec_types, "id DESC")
    respond_to do |format|
      format.html{
      
        params[:search][:per_page] = params[:search][:per_page] || 100
        per_page = params[:search][:per_page]
        page = (params[:page] and params[:page] != "") ? params[:page] : 1 
        @p_spec_types = @p_spec_types.page(page).per(per_page)
      
      }
    end
  end

  def show
    @p_spec_type = PSpecType.find(params[:id])

  end

  def new
    @p_spec_type = PSpecType.new
  
  end

  def edit
    @p_spec_type = PSpecType.find(params[:id])
    
  end

  def create
    @p_spec_type = PSpecType.new(params.require(:p_spec_type).permit!)

    if @p_spec_type.save
      
    else
      render action: "new"
 
    end

  end


  def update
    @p_spec_type = PSpecType.find(params[:id])


    if @p_spec_type.update_attributes(params.require(:p_spec_type).permit!)
      
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @p_spec_type = PSpecType.find(params[:id])
    @p_spec_type.destroy
    
  end
end
